Loading...
Searching...
No Matches
Maxeler FPGA Extensions

## Data Structures

struct | starpu_max_load

## Macros

#define | STARPU_USE_MAX_FPGA
#define | STARPU_MAXMAXFPGADEVS

## Functions

max_engine_t * | starpu_max_fpga_get_local_engine (void)

## Detailed Description

## Data Structure Documentation

## starpu_max_load

struct starpu_max_load

This specifies a Maxeler file to be loaded on some engines.

Data Fields
max_file_t * | file | Provide the file to be loaded
const char * | engine_id_pattern | Provide the engine(s) on which to be loaded, following the Maxeler engine naming, i.e. typically "*:0", "*:1", etc. In an array of struct starpu_max_load, only one can have the "*" specification.

## Macro Definition Documentation

## STARPU_USE_MAX_FPGA

#define STARPU_USE_MAX_FPGA

Defined when StarPU has been installed with FPGA support. It should be used in your code to detect the availability of FPGA.

## STARPU_MAXMAXFPGADEVS

#define STARPU_MAXMAXFPGADEVS

Define the maximum number of Maxeler FPGA devices that are supported by StarPU.

## Function Documentation

## starpu_max_fpga_get_local_engine()

max_engine_t * starpu_max_fpga_get_local_engine | ( | void |  | ) |

Maxeler engine of the current worker. See StarPU/Maxeler FPGA Application for more details.